boost::geometry::sections< Box, DimensionCount > Struct Template Reference

Structure containing a collection of sections. More...

Inherits std::vector< T >.

List of all members.

## Public Types

typedef Box | box_type

## Static Public Attributes

static std::size_t const | value = DimensionCount

## Detailed Description

### template<typename Box, std::size_t DimensionCount>
struct boost::geometry::sections< Box, DimensionCount >

Structure containing a collection of sections.

Note:
  Derived from a vector, proves to be faster than of deque
  vector might be templated in the future

## Member Typedef Documentation

template<typename Box , std::size_t DimensionCount>

typedef Box boost::geometry::sections< Box, DimensionCount >::box_type

## Member Data Documentation

template<typename Box , std::size_t DimensionCount>

std::size_t const boost::geometry::sections< Box, DimensionCount >::value = DimensionCount`[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK